# Uses of Interface
org.codehaus.plexus.util.cli.StreamConsumer

Packages that use StreamConsumer
Package
Description
org.codehaus.plexus.util.cli
Command-line utilities.

## Uses of StreamConsumer in org.codehaus.plexus.util.cli

Classes in org.codehaus.plexus.util.cli that implement StreamConsumer
Modifier and Type
Class
Description
`static class`
`CommandLineUtils.StringStreamConsumer`
A `StreamConsumer` providing consumed lines as a `String`.
`class`
`DefaultConsumer`
`class`
`WriterStreamConsumer`
Methods in org.codehaus.plexus.util.cli with parameters of type StreamConsumer
Modifier and Type
Method
Description
`static int`
CommandLineUtils.`executeCommandLine(Commandline cl, InputStream systemIn, StreamConsumer systemOut, StreamConsumer systemErr)`
`static int`
CommandLineUtils.`executeCommandLine(Commandline cl, InputStream systemIn, StreamConsumer systemOut, StreamConsumer systemErr, int timeoutInSeconds)`
`static int`
CommandLineUtils.`executeCommandLine(Commandline cl, StreamConsumer systemOut, StreamConsumer systemErr)`
`static int`
CommandLineUtils.`executeCommandLine(Commandline cl, StreamConsumer systemOut, StreamConsumer systemErr, int timeoutInSeconds)`
`static CommandLineCallable`
CommandLineUtils.`executeCommandLineAsCallable(Commandline cl, InputStream systemIn, StreamConsumer systemOut, StreamConsumer systemErr, int timeoutInSeconds)`
Immediately forks a process, returns a callable that will block until process is complete.
Constructors in org.codehaus.plexus.util.cli with parameters of type StreamConsumer
Modifier
Constructor
Description
``
`StreamPumper(InputStream in, PrintWriter writer, StreamConsumer consumer)`
``
`StreamPumper(InputStream in, StreamConsumer consumer)`